C++ Utilities: CppUtilities::ConversionException Class Reference

C++ Utilities 5.32.1 Useful C++ classes and routines such as argument parser, IO and conversion utilities

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CppUtilities::ConversionException Class Reference

The ConversionException class is thrown by the various conversion functions of this library when a conversion error occurs. More...

`#include <conversionexception.h>`

Inheritance diagram for CppUtilities::ConversionException:
[legend]
Collaboration diagram for CppUtilities::ConversionException:
[legend]

## Public Member Functions
| ConversionException () noexcept
| Constructs a new ConversionException.
| ConversionException (const std::string &what) noexcept
| Constructs a new ConversionException.
| ConversionException (const char *what) noexcept
| Constructs a new ConversionException.
| ~ConversionException () override
| Destroys the ConversionException.

## Detailed Description

The ConversionException class is thrown by the various conversion functions of this library when a conversion error occurs.

Definition at line 11 of file conversionexception.h.

## Constructor & Destructor Documentation

## ◆ ConversionException() [1/3]

CppUtilities::ConversionException::ConversionException | ( |  | ) |
| inlinenoexcept

Constructs a new ConversionException.

Definition at line 28 of file conversionexception.h.

## ◆ ConversionException() [2/3]

CppUtilities::ConversionException::ConversionException | ( | const std::string & | what | ) |
| inlinenoexcept

Constructs a new ConversionException.

what is a std::string describing the cause of the ConversionException.

Definition at line 37 of file conversionexception.h.

## ◆ ConversionException() [3/3]

CppUtilities::ConversionException::ConversionException | ( | const char * | what | ) |
| inlinenoexcept

Constructs a new ConversionException.

what is a C-style string describing the cause of the ConversionException.

Definition at line 46 of file conversionexception.h.

## ◆ ~ConversionException()

CppUtilities::ConversionException::~ConversionException | ( |  | ) |
| override

Destroys the ConversionException.

Definition at line 8 of file conversionexception.cpp.

The documentation for this class was generated from the following files:

- conversion/conversionexception.h
- conversion/conversionexception.cpp